Package org.tanukisoftware.wrapper.test

# Class RuntimeExec

java.lang.Object
org.tanukisoftware.wrapper.test.RuntimeExec

public class RuntimeExec extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EXIT_CODE_COMMAND_NOT_FOUND`
`static final int`
`EXIT_CODE_CRASH`
`static final int`
`EXIT_CODE_ERROR`
`static final int`
`EXIT_CODE_KILLED`
`static final int`
`EXIT_CODE_NORMAL`
`static final int`
`EXIT_CODE_TERM_CTRL_C`

## Constructor Summary

Constructors
Constructor
Description
`RuntimeExec()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EXIT_CODE_NORMAL

public static final int EXIT_CODE_NORMAL

See Also:
  - Constant Field Values

### EXIT_CODE_ERROR

public static final int EXIT_CODE_ERROR

See Also:
  - Constant Field Values

### EXIT_CODE_COMMAND_NOT_FOUND

public static final int EXIT_CODE_COMMAND_NOT_FOUND

### EXIT_CODE_TERM_CTRL_C

public static final int EXIT_CODE_TERM_CTRL_C

### EXIT_CODE_KILLED

public static final int EXIT_CODE_KILLED

### EXIT_CODE_CRASH

public static final int EXIT_CODE_CRASH

## Constructor Details

### RuntimeExec

public RuntimeExec()

## Method Details

### main

public static void main(String[] args)